# EdFi.OdsApi.Sdk.Apis.Profiles.EEM.EemEducationalEntityMastersApi

All URIs are relative to *https://api-mi.doubleline.us:443/ods-int3/data/v3/2023*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DeleteeemEducationalEntityMasterById**](EemEducationalEntityMastersApi.md#deleteeemeducationalentitymasterbyid) | **DELETE** /MI/eemEducationalEntityMasters/{id} | Deletes an existing resource using the resource identifier.
[**DeletesEEMEducationalEntityMasters**](EemEducationalEntityMastersApi.md#deleteseemeducationalentitymasters) | **GET** /MI/eemEducationalEntityMasters/deletes | Retrieves deleted resources based on change version.
[**GetEEMEducationalEntityMasters**](EemEducationalEntityMastersApi.md#geteemeducationalentitymasters) | **GET** /MI/eemEducationalEntityMasters | Retrieves specific resources using the resource&#39;s property values (using the \&quot;Get\&quot; pattern).
[**GetEEMEducationalEntityMastersById**](EemEducationalEntityMastersApi.md#geteemeducationalentitymastersbyid) | **GET** /MI/eemEducationalEntityMasters/{id} | Retrieves a specific resource using the resource&#39;s identifier (using the \&quot;Get By Id\&quot; pattern).
[**PosteemEducationalEntityMaster**](EemEducationalEntityMastersApi.md#posteemeducationalentitymaster) | **POST** /MI/eemEducationalEntityMasters | Creates or updates resources based on the natural key values of the supplied resource.
[**PuteemEducationalEntityMaster**](EemEducationalEntityMastersApi.md#puteemeducationalentitymaster) | **PUT** /MI/eemEducationalEntityMasters/{id} | Updates or creates a resource based on the resource identifier.


<a name="deleteeemeducationalentitymasterbyid"></a>
# **DeleteeemEducationalEntityMasterById**
> void DeleteeemEducationalEntityMasterById (string id, string ifMatch = null)

Deletes an existing resource using the resource identifier.

The DELETE operation is used to delete an existing resource by identifier. If the resource doesn't exist, an error will result (the resource will not be found).

### Example
```csharp
using System;
using System.Diagnostics;
using EdFi.OdsApi.Sdk.Apis.Profiles.EEM;
using EdFi.OdsApi.Sdk.Client;
using EdFi.OdsApi.Sdk.Models.Profiles.EEM;

namespace Example
{
    public class DeleteeemEducationalEntityMasterByIdExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new EemEducationalEntityMastersApi();
            var id = id_example;  // string | A resource identifier that uniquely identifies the resource.
            var ifMatch = ifMatch_example;  // string | The ETag header value used to prevent the DELETE from removing a resource modified by another consumer. (optional) 

            try
            {
                // Deletes an existing resource using the resource identifier.
                apiInstance.DeleteeemEducationalEntityMasterById(id, ifMatch);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling EemEducationalEntityMastersApi.DeleteeemEducationalEntityMasterById: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| A resource identifier that uniquely identifies the resource. | 
 **ifMatch** | **string**| The ETag header value used to prevent the DELETE from removing a resource modified by another consumer. | [optional] 

### Return type

void (empty response body)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/vnd.ed-fi.eemeducationalentitymaster.eem.writable+json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deleteseemeducationalentitymasters"></a>
# **DeletesEEMEducationalEntityMasters**
> List<MiEemEducationalEntityMasterReadable> DeletesEEMEducationalEntityMasters (int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null)

Retrieves deleted resources based on change version.

The DELETES operation is used to retrieve deleted resources.

### Example
```csharp
using System;
using System.Diagnostics;
using EdFi.OdsApi.Sdk.Apis.Profiles.EEM;
using EdFi.OdsApi.Sdk.Client;
using EdFi.OdsApi.Sdk.Models.Profiles.EEM;

namespace Example
{
    public class DeletesEEMEducationalEntityMastersExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new EemEducationalEntityMastersApi();
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 

            try
            {
                // Retrieves deleted resources based on change version.
                List&lt;MiEemEducationalEntityMasterReadable&gt; result = apiInstance.DeletesEEMEducationalEntityMasters(offset, limit, minChangeVersion, maxChangeVersion);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling EemEducationalEntityMastersApi.DeletesEEMEducationalEntityMasters: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 

### Return type

[**List<MiEemEducationalEntityMasterReadable>**](MiEemEducationalEntityMasterReadable.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/vnd.ed-fi.eemeducationalentitymaster.eem.writable+json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="geteemeducationalentitymasters"></a>
# **GetEEMEducationalEntityMasters**
> List<MiEemEducationalEntityMasterReadable> GetEEMEducationalEntityMasters (int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null, bool? totalCount = null, int? eemEducationalEntityMasterId = null, int? eemCountyId = null, int? geographicEEMCountyId = null, int? previousDistrictEEMEducationalEntityMasterId = null, int? eemEntityTypeClassificationId = null, string eemCloseReasonDescriptor = null, string eemFiscalEntityTypeDescriptor = null, string eemStatusDescriptor = null, DateTime? closeDate = null, bool? earlyMiddleCollegeFlag = null, string eemEntityOfficialName = null, string id = null, DateTime? openDate = null)

Retrieves specific resources using the resource's property values (using the \"Get\" pattern).

This GET operation provides access to resources using the \"Get\" search pattern.  The values of any properties of the resource that are specified will be used to return all matching results (if it exists).

### Example
```csharp
using System;
using System.Diagnostics;
using EdFi.OdsApi.Sdk.Apis.Profiles.EEM;
using EdFi.OdsApi.Sdk.Client;
using EdFi.OdsApi.Sdk.Models.Profiles.EEM;

namespace Example
{
    public class GetEEMEducationalEntityMastersExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new EemEducationalEntityMastersApi();
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 
            var totalCount = true;  // bool? | Indicates if the total number of items available should be returned in the 'Total-Count' header of the response.  If set to false, 'Total-Count' header will not be provided. (optional)  (default to false)
            var eemEducationalEntityMasterId = 56;  // int? | Educational Entity Master identifier from EEM system. (optional) 
            var eemCountyId = 56;  // int? | EEM County identifier. (optional) 
            var geographicEEMCountyId = 56;  // int? | EEM County identifier. (optional) 
            var previousDistrictEEMEducationalEntityMasterId = 56;  // int? | Educational Entity Master identifier from EEM system. (optional) 
            var eemEntityTypeClassificationId = 56;  // int? | The EEM EntityType identifier. (optional) 
            var eemCloseReasonDescriptor = eemCloseReasonDescriptor_example;  // string | Indicates the reason why an Educational Entity was closed. (optional) 
            var eemFiscalEntityTypeDescriptor = eemFiscalEntityTypeDescriptor_example;  // string | FiscalEntityCode as indicated in EEM. (optional) 
            var eemStatusDescriptor = eemStatusDescriptor_example;  // string | Denotes the EEM open / close status of the entity. (optional) 
            var closeDate = 2013-10-20T19:20:30+01:00;  // DateTime? | This characteristic is the actual closing date of the entity or the date the entity ceased to do business. *** needs to be datetime *** (optional) 
            var earlyMiddleCollegeFlag = true;  // bool? | Indicates the education organization provides both a high school education as well as up to 60 college credits. (optional) 
            var eemEntityOfficialName = eemEntityOfficialName_example;  // string | The EEM official name of the Educational Entity (optional) 
            var id = id_example;  // string |  (optional) 
            var openDate = 2013-10-20T19:20:30+01:00;  // DateTime? | This characteristic denotes the actual opening date of the entity or when it begins to do business. *** needs to be datetime *** (optional) 

            try
            {
                // Retrieves specific resources using the resource's property values (using the \"Get\" pattern).
                List&lt;MiEemEducationalEntityMasterReadable&gt; result = apiInstance.GetEEMEducationalEntityMasters(offset, limit, minChangeVersion, maxChangeVersion, totalCount, eemEducationalEntityMasterId, eemCountyId, geographicEEMCountyId, previousDistrictEEMEducationalEntityMasterId, eemEntityTypeClassificationId, eemCloseReasonDescriptor, eemFiscalEntityTypeDescriptor, eemStatusDescriptor, closeDate, earlyMiddleCollegeFlag, eemEntityOfficialName, id, openDate);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling EemEducationalEntityMastersApi.GetEEMEducationalEntityMasters: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 
 **totalCount** | **bool?**| Indicates if the total number of items available should be returned in the &#39;Total-Count&#39; header of the response.  If set to false, &#39;Total-Count&#39; header will not be provided. | [optional] [default to false]
 **eemEducationalEntityMasterId** | **int?**| Educational Entity Master identifier from EEM system. | [optional] 
 **eemCountyId** | **int?**| EEM County identifier. | [optional] 
 **geographicEEMCountyId** | **int?**| EEM County identifier. | [optional] 
 **previousDistrictEEMEducationalEntityMasterId** | **int?**| Educational Entity Master identifier from EEM system. | [optional] 
 **eemEntityTypeClassificationId** | **int?**| The EEM EntityType identifier. | [optional] 
 **eemCloseReasonDescriptor** | **string**| Indicates the reason why an Educational Entity was closed. | [optional] 
 **eemFiscalEntityTypeDescriptor** | **string**| FiscalEntityCode as indicated in EEM. | [optional] 
 **eemStatusDescriptor** | **string**| Denotes the EEM open / close status of the entity. | [optional] 
 **closeDate** | **DateTime?**| This characteristic is the actual closing date of the entity or the date the entity ceased to do business. *** needs to be datetime *** | [optional] 
 **earlyMiddleCollegeFlag** | **bool?**| Indicates the education organization provides both a high school education as well as up to 60 college credits. | [optional] 
 **eemEntityOfficialName** | **string**| The EEM official name of the Educational Entity | [optional] 
 **id** | **string**|  | [optional] 
 **openDate** | **DateTime?**| This characteristic denotes the actual opening date of the entity or when it begins to do business. *** needs to be datetime *** | [optional] 

### Return type

[**List<MiEemEducationalEntityMasterReadable>**](MiEemEducationalEntityMasterReadable.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/vnd.ed-fi.eemeducationalentitymaster.eem.readable+json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="geteemeducationalentitymastersbyid"></a>
# **GetEEMEducationalEntityMastersById**
> MiEemEducationalEntityMasterReadable GetEEMEducationalEntityMastersById (string id, string ifNoneMatch = null)

Retrieves a specific resource using the resource's identifier (using the \"Get By Id\" pattern).

This GET operation retrieves a resource by the specified resource identifier.

### Example
```csharp
using System;
using System.Diagnostics;
using EdFi.OdsApi.Sdk.Apis.Profiles.EEM;
using EdFi.OdsApi.Sdk.Client;
using EdFi.OdsApi.Sdk.Models.Profiles.EEM;

namespace Example
{
    public class GetEEMEducationalEntityMastersByIdExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new EemEducationalEntityMastersApi();
            var id = id_example;  // string | A resource identifier that uniquely identifies the resource.
            var ifNoneMatch = ifNoneMatch_example;  // string | The previously returned ETag header value, used here to prevent the unnecessary data transfer of an unchanged resource. (optional) 

            try
            {
                // Retrieves a specific resource using the resource's identifier (using the \"Get By Id\" pattern).
                MiEemEducationalEntityMasterReadable result = apiInstance.GetEEMEducationalEntityMastersById(id, ifNoneMatch);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling EemEducationalEntityMastersApi.GetEEMEducationalEntityMastersById: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| A resource identifier that uniquely identifies the resource. | 
 **ifNoneMatch** | **string**| The previously returned ETag header value, used here to prevent the unnecessary data transfer of an unchanged resource. | [optional] 

### Return type

[**MiEemEducationalEntityMasterReadable**](MiEemEducationalEntityMasterReadable.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/vnd.ed-fi.eemeducationalentitymaster.eem.readable+json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="posteemeducationalentitymaster"></a>
# **PosteemEducationalEntityMaster**
> void PosteemEducationalEntityMaster (MiEemEducationalEntityMasterWritable eemEducationalEntityMaster)

Creates or updates resources based on the natural key values of the supplied resource.

The POST operation can be used to create or update resources. In database terms, this is often referred to as an \"upsert\" operation (insert + update). Clients should NOT include the resource \"id\" in the JSON body because it will result in an error (you must use a PUT operation to update a resource by \"id\"). The web service will identify whether the resource already exists based on the natural key values provided, and update or create the resource appropriately.

### Example
```csharp
using System;
using System.Diagnostics;
using EdFi.OdsApi.Sdk.Apis.Profiles.EEM;
using EdFi.OdsApi.Sdk.Client;
using EdFi.OdsApi.Sdk.Models.Profiles.EEM;

namespace Example
{
    public class PosteemEducationalEntityMasterExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new EemEducationalEntityMastersApi();
            var eemEducationalEntityMaster = new MiEemEducationalEntityMasterWritable(); // MiEemEducationalEntityMasterWritable | The JSON representation of the \"eemEducationalEntityMaster\" resource to be created or updated.

            try
            {
                // Creates or updates resources based on the natural key values of the supplied resource.
                apiInstance.PosteemEducationalEntityMaster(eemEducationalEntityMaster);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling EemEducationalEntityMastersApi.PosteemEducationalEntityMaster: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **eemEducationalEntityMaster** | [**MiEemEducationalEntityMasterWritable**](MiEemEducationalEntityMasterWritable.md)| The JSON representation of the \&quot;eemEducationalEntityMaster\&quot; resource to be created or updated. | 

### Return type

void (empty response body)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/vnd.ed-fi.eemeducationalentitymaster.eem.writable+json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="puteemeducationalentitymaster"></a>
# **PuteemEducationalEntityMaster**
> void PuteemEducationalEntityMaster (string id, MiEemEducationalEntityMasterWritable eemEducationalEntityMaster, string ifMatch = null)

Updates or creates a resource based on the resource identifier.

The PUT operation is used to update or create a resource by identifier. If the resource doesn't exist, the resource will be created using that identifier. Additionally, natural key values cannot be changed using this operation, and will not be modified in the database.  If the resource \"id\" is provided in the JSON body, it will be ignored as well.

### Example
```csharp
using System;
using System.Diagnostics;
using EdFi.OdsApi.Sdk.Apis.Profiles.EEM;
using EdFi.OdsApi.Sdk.Client;
using EdFi.OdsApi.Sdk.Models.Profiles.EEM;

namespace Example
{
    public class PuteemEducationalEntityMasterExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new EemEducationalEntityMastersApi();
            var id = id_example;  // string | A resource identifier that uniquely identifies the resource.
            var eemEducationalEntityMaster = new MiEemEducationalEntityMasterWritable(); // MiEemEducationalEntityMasterWritable | The JSON representation of the \"eemEducationalEntityMaster\" resource to be created or updated.
            var ifMatch = ifMatch_example;  // string | The ETag header value used to prevent the PUT from updating a resource modified by another consumer. (optional) 

            try
            {
                // Updates or creates a resource based on the resource identifier.
                apiInstance.PuteemEducationalEntityMaster(id, eemEducationalEntityMaster, ifMatch);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling EemEducationalEntityMastersApi.PuteemEducationalEntityMaster: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| A resource identifier that uniquely identifies the resource. | 
 **eemEducationalEntityMaster** | [**MiEemEducationalEntityMasterWritable**](MiEemEducationalEntityMasterWritable.md)| The JSON representation of the \&quot;eemEducationalEntityMaster\&quot; resource to be created or updated. | 
 **ifMatch** | **string**| The ETag header value used to prevent the PUT from updating a resource modified by another consumer. | [optional] 

### Return type

void (empty response body)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/vnd.ed-fi.eemeducationalentitymaster.eem.writable+json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

