# EdFi.OdsApi.Sdk.Apis.Profiles.Rostering.LearningContentResourcesApi

All URIs are relative to *https://api-mi.doubleline.us:443/ods-int3/data/v3/2023*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetLearningContentResources**](LearningContentResourcesApi.md#getlearningcontentresources) | **GET** /MI/learningContentResources | Retrieves specific resources using the resource&#39;s property values (using the \&quot;Get\&quot; pattern).
[**GetLearningContentResourcesById**](LearningContentResourcesApi.md#getlearningcontentresourcesbyid) | **GET** /MI/learningContentResources/{id} | Retrieves a specific resource using the resource&#39;s identifier (using the \&quot;Get By Id\&quot; pattern).


<a name="getlearningcontentresources"></a>
# **GetLearningContentResources**
> List<MiLearningContentResourceReadable> GetLearningContentResources (int? offset = null, int? limit = null, int? minChangeVersion = null, int? maxChangeVersion = null, bool? totalCount = null, string title = null, string importanceDescriptor = null, string statusDescriptor = null, string applicationId = null, string id = null, bool? studentResource = null, bool? teacherResource = null, string vendorId = null, string vendorResourceId = null)

Retrieves specific resources using the resource's property values (using the \"Get\" pattern).

This GET operation provides access to resources using the \"Get\" search pattern.  The values of any properties of the resource that are specified will be used to return all matching results (if it exists).

### Example
```csharp
using System;
using System.Diagnostics;
using EdFi.OdsApi.Sdk.Apis.Profiles.Rostering;
using EdFi.OdsApi.Sdk.Client;
using EdFi.OdsApi.Sdk.Models.Profiles.Rostering;

namespace Example
{
    public class GetLearningContentResourcesExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new LearningContentResourcesApi();
            var offset = 56;  // int? | Indicates how many items should be skipped before returning results. (optional)  (default to 0)
            var limit = 56;  // int? | Indicates the maximum number of items that should be returned in the results. (optional)  (default to 25)
            var minChangeVersion = 56;  // int? | Used in synchronization to set sequence minimum ChangeVersion (optional) 
            var maxChangeVersion = 56;  // int? | Used in synchronization to set sequence maximum ChangeVersion (optional) 
            var totalCount = true;  // bool? | Indicates if the total number of items available should be returned in the 'Total-Count' header of the response.  If set to false, 'Total-Count' header will not be provided. (optional)  (default to false)
            var title = title_example;  // string | Name of this resource. (optional) 
            var importanceDescriptor = importanceDescriptor_example;  // string | Indicates importance of the Resource (e.g., Primary, Secondary). (optional) 
            var statusDescriptor = statusDescriptor_example;  // string | Indicates the status of the Resource. (optional) 
            var applicationId = applicationId_example;  // string | Identifier of the application associated with this resource. This identifier is assigned by the creator/vendor of the resource. (optional) 
            var id = id_example;  // string |  (optional) 
            var studentResource = true;  // bool? | 0 = is Student Resource1 = is NOT Student Resource (optional) 
            var teacherResource = true;  // bool? | 0 = is NOT Teacher Resource1 = is Teacher Resource (optional) 
            var vendorId = vendorId_example;  // string | Identifier of the vendor responsible for this resource. This unique ID will be assigned by IMS during the OneRoster conformance process. (optional) 
            var vendorResourceId = vendorResourceId_example;  // string | Unique ID of this resource as allocated by the vendor. It is unique in the context of resource identifiers allocated by the vendor. (optional) 

            try
            {
                // Retrieves specific resources using the resource's property values (using the \"Get\" pattern).
                List&lt;MiLearningContentResourceReadable&gt; result = apiInstance.GetLearningContentResources(offset, limit, minChangeVersion, maxChangeVersion, totalCount, title, importanceDescriptor, statusDescriptor, applicationId, id, studentResource, teacherResource, vendorId, vendorResourceId);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling LearningContentResourcesApi.GetLearningContentResources: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **offset** | **int?**| Indicates how many items should be skipped before returning results. | [optional] [default to 0]
 **limit** | **int?**| Indicates the maximum number of items that should be returned in the results. | [optional] [default to 25]
 **minChangeVersion** | **int?**| Used in synchronization to set sequence minimum ChangeVersion | [optional] 
 **maxChangeVersion** | **int?**| Used in synchronization to set sequence maximum ChangeVersion | [optional] 
 **totalCount** | **bool?**| Indicates if the total number of items available should be returned in the &#39;Total-Count&#39; header of the response.  If set to false, &#39;Total-Count&#39; header will not be provided. | [optional] [default to false]
 **title** | **string**| Name of this resource. | [optional] 
 **importanceDescriptor** | **string**| Indicates importance of the Resource (e.g., Primary, Secondary). | [optional] 
 **statusDescriptor** | **string**| Indicates the status of the Resource. | [optional] 
 **applicationId** | **string**| Identifier of the application associated with this resource. This identifier is assigned by the creator/vendor of the resource. | [optional] 
 **id** | **string**|  | [optional] 
 **studentResource** | **bool?**| 0 &#x3D; is Student Resource1 &#x3D; is NOT Student Resource | [optional] 
 **teacherResource** | **bool?**| 0 &#x3D; is NOT Teacher Resource1 &#x3D; is Teacher Resource | [optional] 
 **vendorId** | **string**| Identifier of the vendor responsible for this resource. This unique ID will be assigned by IMS during the OneRoster conformance process. | [optional] 
 **vendorResourceId** | **string**| Unique ID of this resource as allocated by the vendor. It is unique in the context of resource identifiers allocated by the vendor. | [optional] 

### Return type

[**List<MiLearningContentResourceReadable>**](MiLearningContentResourceReadable.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/vnd.ed-fi.learningcontentresource.rostering.readable+json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getlearningcontentresourcesbyid"></a>
# **GetLearningContentResourcesById**
> MiLearningContentResourceReadable GetLearningContentResourcesById (string id, string ifNoneMatch = null)

Retrieves a specific resource using the resource's identifier (using the \"Get By Id\" pattern).

This GET operation retrieves a resource by the specified resource identifier.

### Example
```csharp
using System;
using System.Diagnostics;
using EdFi.OdsApi.Sdk.Apis.Profiles.Rostering;
using EdFi.OdsApi.Sdk.Client;
using EdFi.OdsApi.Sdk.Models.Profiles.Rostering;

namespace Example
{
    public class GetLearningContentResourcesByIdExample
    {
        public void main()
        {
            // Configure OAuth2 access token for authorization: oauth2_client_credentials
            Configuration.Default.AccessToken = "YOUR_ACCESS_TOKEN";

            var apiInstance = new LearningContentResourcesApi();
            var id = id_example;  // string | A resource identifier that uniquely identifies the resource.
            var ifNoneMatch = ifNoneMatch_example;  // string | The previously returned ETag header value, used here to prevent the unnecessary data transfer of an unchanged resource. (optional) 

            try
            {
                // Retrieves a specific resource using the resource's identifier (using the \"Get By Id\" pattern).
                MiLearningContentResourceReadable result = apiInstance.GetLearningContentResourcesById(id, ifNoneMatch);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling LearningContentResourcesApi.GetLearningContentResourcesById: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| A resource identifier that uniquely identifies the resource. | 
 **ifNoneMatch** | **string**| The previously returned ETag header value, used here to prevent the unnecessary data transfer of an unchanged resource. | [optional] 

### Return type

[**MiLearningContentResourceReadable**](MiLearningContentResourceReadable.md)

### Authorization

[oauth2_client_credentials](../README.md#oauth2_client_credentials)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/vnd.ed-fi.learningcontentresource.rostering.readable+json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

