# EdFi.OdsApi.Sdk.Models.All.MiStudentAssessmentExtension
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AssessmentReasonDescriptor** | **string** | (MI EXT) Indicates the assessment reason (e.g. entry, annual or exit). | [optional] 
**AutoExitEligibleDescriptor** | **string** | (MI EXT) Represents whether the student is automatically exited from EL services. | [optional] 
**GradeClusterDescriptor** | **string** | (MI EXT) The tested Grade Cluster of the Student for the content. | [optional] 
**InvalidReasonCodeDescriptor** | **string** | (MI EXT)  The reason student did not receive a valid assessment score.1&#x3D; Not found in MSDS5&#x3D; Multiple Answer Documents Returned6&#x3D; Late Return7&#x3D; Misadministration8&#x3D; Did not meet attemptedness | [optional] 
**ModeOfResponseDescriptor** | **string** | (MI EXT) Represents the response mode for the writing portion of the assessment. | [optional] 
**ParentConferenceMethodDescriptor** | **string** | (MI EXT) Indicates the parent input about the student outcomes rating. | [optional] 
**PreviousAdministrationPerformanceLevelDescriptor** | **string** | (MI EXT) Student&#39;s Proficiency Level for previous administration content tested. NA - if no proficiency level for content tested | [optional] 
**TakenAtByIPAddressDescriptor** | **string** | (MI EXT) Reflects testing location based on IP Address. | [optional] 
**TakenAtDescriptor** | **string** | (MI EXT) Location where assessment was taken. | [optional] 
**TestMarkedInvalidReasonDescriptor** | **string** | (MI EXT) Student test marked as invalid on answer document. | [optional] 
**TestModeDescriptor** | **string** | (MI EXT) Indicates online or paper/pencil. | [optional] 
**UnableToTestReasonDescriptor** | **string** | (MI EXT) Unable to test reason. | [optional] 
**AlternateELAssessment** | **bool?** | (MI EXT) Alternate EL assessment indicator. | [optional] 
**Attemptedness** | **bool?** | (MI EXT) Identifies whether the student attempted the assessment and answered enough questions to calculate an overall scale score. | [optional] 
**Barcode** | **string** | (MI EXT) Student&#39;s barcode number providing detailed information regarding the student and the assessment. | [optional] 
**CollegeReportableScoreIndicator** | **bool?** | (MI EXT) Indicates whether the score is college reportable. | [optional] 
**CreatedDate** | **DateTime?** | (MI EXT) Date record was created in MDE system. | [optional] 
**DesignatedSupportUsed** | **bool?** | (MI EXT) 1 &#x3D; Student used a Designated Support0 &#x3D; Student did not use a Designated Support | [optional] 
**ExemptedSpecialEd504** | **bool?** | (MI EXT) 1 &#x3D; Y - Student exempted because of 5040 &#x3D; N - Student not exempted because of 504 | [optional] 
**ForceSubmitPart1Flag** | **bool?** | (MI EXT)  1 &#x3D; Part 1 of the Online test was not submitted by the student but was forced submit by the system.0 &#x3D; Part 1 of the Online tet was submitted by the student. | [optional] 
**ForceSubmitPart2Flag** | **bool?** | (MI EXT) 1 &#x3D; Part 2 of the Online test was not submitted by the student but was forced submit by the system.0 &#x3D; Part 2 of the Online tet was submitted by the student. | [optional] 
**ForceSubmitPTFlag** | **bool?** | (MI EXT) 1 &#x3D; Perrformance task of the Online test was not submitted by the student but was forced submit by the system.0 &#x3D; Performance task of the Online tet was submitted by the student. | [optional] 
**Misadministration** | **bool?** | (MI EXT) Identifies whether there was a misadministration of the assessment to the student. Misadministration of an assessment includes. | [optional] 
**ModifiedDate** | **DateTime?** | (MI EXT) Date record was modifiedin the MDE system. | [optional] 
**NonstandardAccommodation** | **bool?** | (MI EXT) Identifies whether a student received accommodations that do not qualify as standard accommodations. | [optional] 
**Online** | **bool?** | (MI EXT) Identifies whether the assessment was administered in an online testing environment. | [optional] 
**OutOfLevel** | **bool?** | (MI EXT) Identifies whether student tested in an incorrect grade. | [optional] 
**ParentConferenceDate** | **DateTime?** | (MI EXT) The date on which the parent/guardian input regarding the student outcomes rating was collected. | [optional] 
**ProhibitedBehavior** | **bool?** | (MI EXT) Identifies whether the student was involved in prohibited behavior while the assessment was being administered. | [optional] 
**ReportedTier** | **string** | (MI EXT) Tier of the test that was reported. | [optional] 
**SchoolYearName** | **string** | Captures the name of the SchoolYear of the StudentAssessment. | [optional] 
**ScribedStudentResponse** | **bool?** | (MI EXT) 1 &#x3D; Y - Writing was scribed0 &#x3D; N - Writing was not scribed | [optional] 
**StandardAccommodation** | **bool?** | (MI EXT)  Identifies whether a student received a standard accommodation while the assessment was administered. Standard accommodations are listed and includes: Braille, Text-to-speech passage, Read-aloud, Enlarged Print ... | [optional] 
**StudentDisplayID** | **string** | Choosen ID for display within the Renaissance program. Choosen ID will be one of the four following IDs: StudentSourcedID, StudentIdentifier, StudentUserID, or StudentStateID. | [optional] 
**TeacherDisplayID** | **string** | Teacher display within the Renaissance program. | [optional] 
**TestMarkedInvalid** | **bool?** | (MI EXT) 1 &#x3D; Y - Student test is marked as invalid on answer document0 &#x3D; N - Student test is not marked as invalid on answer document | [optional] 
**Valid** | **bool?** | (MI EXT) Identifies whether the student received a valid test score for the assessment. | [optional] 
**ValidContent** | **bool?** | (MI EXT) 1 &#x3D; Y - Content is a valid test0 &#x3D; N - Content is not a valid test | [optional] 
**Essays** | [**List&lt;MiStudentAssessmentEssay&gt;**](MiStudentAssessmentEssay.md) | An unordered collection of studentAssessmentEssays. (MI EXT) This holds the score earned for an AssessmentEssay by a student. | [optional] 
**ActionAssessmentOutcome** | [**MiStudentAssessmentActionAssessmentOutcome**](MiStudentAssessmentActionAssessmentOutcome.md) |  | [optional] 
**KnowledgeSkillAssessmentOutcome** | [**MiStudentAssessmentKnowledgeSkillAssessmentOutcome**](MiStudentAssessmentKnowledgeSkillAssessmentOutcome.md) |  | [optional] 
**OverallSGP** | [**MiStudentAssessmentOverallSGP**](MiStudentAssessmentOverallSGP.md) |  | [optional] 
**SocialRelationshipAssessmentOutcome** | [**MiStudentAssessmentSocialRelationshipAssessmentOutcome**](MiStudentAssessmentSocialRelationshipAssessmentOutcome.md) |  | [optional] 
**TimeOfTestingSnapshot** | [**MiStudentAssessmentTimeOfTestingSnapshot**](MiStudentAssessmentTimeOfTestingSnapshot.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

